# systemd options
%global _has_systemd %(rpm -q --quiet systemd && systemctl --version | head -n 1 | cut -d " " -f 2 || echo 0)

Summary: Scripts to run processes from init systems
Name: exec-tools
Version: 1.6
Release: 1%{?dist}
License: GPL-2.0-only
Group: Applications/System
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: %{name}-%{version}.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
%if %{_has_systemd}
BuildRequires: sed
%endif

%description
A collection of helper scripts to run processes from init systems.
It can also generate systemd service files.

%prep
%setup -q

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__install} -d %{buildroot}%{_bindir}
%{__install} -d %{buildroot}%{_sysconfdir}/sysconfig
%if %{_has_systemd}
%{__install} -d %{buildroot}%{_unitdir}-generators
%{__install} -d %{buildroot}%{_unitdir}-preset
%{__sed} -e "s@__UNITDIR__@%{_unitdir}@g" \
  systemd/execpriv-generator.common.in > %{buildroot}%{_unitdir}-generators/execpriv-generator
touch -r systemd/execpriv-generator.common.in %{buildroot}%{_unitdir}-generators/execpriv-generator
%{__chmod} 0755 %{buildroot}%{_unitdir}-generators/execpriv-generator
%{__install} -m 0644 -p systemd/90-invoca.preset %{buildroot}%{_unitdir}-preset/
%endif
%{__install} -m 0755 -p bin/execpriv %{buildroot}%{_bindir}/
%{__install} -m 0644 -p etc/execpriv.defaults %{buildroot}%{_sysconfdir}/sysconfig/execpriv

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README
%{_bindir}/execpriv
%config(noreplace) %{_sysconfdir}/sysconfig/execpriv
%if %{_has_systemd}
%{_unitdir}-generators/execpriv-generator
%{_unitdir}-preset/90-invoca.preset
%endif

%changelog
* Fri Jun 16 2023 Simon Matter <simon.matter@invoca.ch> 1.6-1
- upgrade to 1.6

* Fri Jan 07 2022 Simon Matter <simon.matter@invoca.ch> 1.5-1
- upgrade to 1.5
- add support for EL9

* Wed Apr 15 2020 Simon Matter <simon.matter@invoca.ch> 1.4-1
- upgrade to 1.4
- add support for EL8

* Fri Sep 20 2019 Simon Matter <simon.matter@invoca.ch> 1.3-1
- upgrade to 1.3

* Thu Feb 07 2019 Simon Matter <simon.matter@invoca.ch> 1.2-1
- upgrade to 1.2

* Fri Dec 14 2018 Simon Matter <simon.matter@invoca.ch> 1.1-1
- upgrade to 1.1

* Wed Nov 21 2018 Simon Matter <simon.matter@invoca.ch> 0.9-1
- upgrade to 0.9

* Tue Nov 20 2018 Simon Matter <simon.matter@invoca.ch> 0.8-1
- upgrade to 0.8

* Mon Nov 19 2018 Simon Matter <simon.matter@invoca.ch> 0.7-1
- upgrade to 0.7

* Fri Nov 16 2018 Simon Matter <simon.matter@invoca.ch> 0.6-1
- upgrade to 0.6

* Fri Nov 16 2018 Simon Matter <simon.matter@invoca.ch> 0.5-1
- upgrade to 0.5

* Thu Nov 15 2018 Simon Matter <simon.matter@invoca.ch> 0.4-1
- upgrade to 0.4

* Mon Apr 13 2015 Simon Matter <simon.matter@invoca.ch> 0.3-1
- upgrade to 0.3

* Fri Apr 10 2015 Simon Matter <simon.matter@invoca.ch> 0.2-1
- upgrade to 0.2

* Wed Apr 08 2015 Simon Matter <simon.matter@invoca.ch> 0.1-1
- initial package
